MongoMapper

RubyGem Build Status Coverage Status

A Ruby Object Mapper for Mongo.

Install

$ gem install mongo_mapper

Documentation

mongomapper.com/documentation/

rdoc.info/github/jnunemaker/mongomapper

Compatibility

MongoMapper is tested against:

Additionally, MongoMapper is tested against:

NOTE: Rails 4 support is only in the v0.13.0 beta, which is not currently the default in RubyGems. Use the following line in your gemfile to use the beta:

gem 'mongo_mapper', :git => "git://github.com/mongomapper/mongomapper.git", :tag => "v0.13.0.beta2"

Contributing & Development

$ git clone https://github.com/jnunemaker/mongomapper && cd mongomapper
$ bundle install
$ bundle exec rake

Problems or Questions?

Hit up the Google group: groups.google.com/group/mongomapper

Hop on IRC: irc://chat.freenode.net/#mongomapper

License & Copyright

See LICENSE for details.